using System.Collections.Generic;
using System.Threading.Tasks;
using GxPress.Entity.WorkProcess;
using Datory;
using GxPress.Entity.WorkProcessDto;

namespace GxPress.Repository.Interface.WorkProcess
{
    public interface IProcessFieldRepository : IRepository
    {
        Task<int> InsertAsync(ProcessField processField);
        Task<bool> UpdateAsync(ProcessField processField);
        Task<IEnumerable<ProcessField>> GetListAsync(int processId);

        Task DeleteByProcessIdAsync(int processId, List<FormField> formFields);
        Task<ProcessField> GetFieldAsync(int id);
    }
}